import request from '@/utils/request'

// 查询项目列表
export function listProject(query) {
    return request({
        url: '/project/list',
        method: 'get',
        params: query,
    })
}

// 新增项目
export function addProject(data) {
    return request({
        url: '/project',
        method: 'post',
        data: data,
    })
}

// 查询项目详细
export function getProject(proId) {
    return request({
        url: '/project/' + proId,
        method: 'get',
    })
}

// 修改项目
export function updateProject(data) {
    return request({
        url: '/project',
        method: 'put',
        data: data,
    })
}

// 删除项目
export function delProject(proId) {
    return request({
        url: '/project/' + proId,
        method: 'delete',
    })
}
